Repository 32bit  Forum
Repository 64bit  Wiki

la gestione dei pacchetti HELP

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

la gestione dei pacchetti HELP

Messaggioda bonzotto » mer lug 02, 2014 17:50

Salve a tutti,
sono un nuovo utente niubbo linux. Siccome mi piace la filosofia si slackware ho deciso di lanciarmi su
slackware e decidere di farmi le ossa. Uso linux per diletto, per il gusto di imparare qualcosa che non so.

Non ho capito bene come gestire le dipendenze con slackware. Ho cercato su google, ma non ho trovato
nulla di soddisfacente che mi spiegasse la logica della gestione dei pacchetti e delle dipendenze.

Ho provato slackpkg per aggiornare le patch di sicurezza e in futuro (presumo) per aggiornare il sistema
alla release successiva. ho provato anche slackpkg+ ma nonostante abbia abilitato tutti i mirror non
trovo tutti i pacchetti che cerco (su debian era molto banale).

OK mi compilo un pacchetto da solo e amen. L'ho fatto con dmenu seguento le istruzioni e tutto e' andato bene.
Ora ho installato conky da slackpkg, ma purtroppo mi chiede le libaudcore come dipendenza. Con google ho visto
che queste librerie sono contenute in audacious, ma non c'e' verso di trovare il txz di audacious.

Da questo inghippo mi chiedo, come faccio quando voglio installare il pacchetto PACCHETT.TXZ a sapere quale
dipendenze mi richiedera'? Se ho gia' installato quello che richiede e quindi funzionera' oppure no? Cioe' lo installo,
lo avvio e vedo se manca qualcosa? Se non trovo il txz gia' pronto devo manualmente compilare il tutto giusto?

Grazie delle info vorrei capire come muovermi indipendentemente dal pacchetto, ma giusto per capire la logica...
tipo cerco il pacchetto su slackpkg... ok non c'e' allora lo cerco sul sito X... ok se non c'e' devo compilarlo... etc etc
...non c'e' un file con scritto tutte le dipendenze di un dato pacchetto? tipo: ti serve pippo.txz, topolino.txz etc.?

bonzotto.
bonzotto
Linux 1.0
Linux 1.0
 
Messaggi: 2
Iscritto il: mer lug 02, 2014 17:39

Re: la gestione dei pacchetti HELP

Messaggioda ponce » gio lug 03, 2014 6:24

slackware e' fornita come un blocco unico, installazioni parziali non sono supportate e audacious e' compreso in una installazione full.
non c'e' gestione delle dipendenze, quella e' lasciata all'amministratore del sistema.
per maggiori chiarimenti puoi leggere questo ottimo articolo di ruario (in inglese)

http://docs.slackware.com/slackware:pac ... _slackware

se accetti un consiglio, non abilitare piu' di un repository di terze parti con slackpkg+: ognuno di coloro che assembla i pacchetti dei vari repository lo fa decidendo autonomamente quali dipendenze usare, quindi, se ne usi piu' di uno e' molto probabile (quasi certo) che troverai situazioni di conflitto (pacchetti che richiedono dipendenze che non ci sono o dipendenze inutili che magari creano problemi nel compilare altri pacchetti).

P.S. quasi dimenticavo: benvenuto su slacky.eu (e anche come utente Slackware)! :)
Avatar utente
ponce
Linux 3.x
Linux 3.x
 
Messaggi: 1459
Iscritto il: mer mar 05, 2008 16:45
Località: limbo
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 3.16-rc4
Desktop: lxde

Re: la gestione dei pacchetti HELP

Messaggioda bonzotto » gio lug 03, 2014 7:48

Grazie delle info!
leggo subito l'articolo....

alla fine ieri ho continuato a fare ricerche e credo che mi comportero' come segue:

- slackpkg (senza il plus) per mantenere gli aggiornamenti di sicurezza e altre robe ufficiali
- slackbuild script per crearmi i pacchetti e installarli
- mkslack per generare gli script per slackbuild.

credo che cosi' dovrei essere a posto.... solo una cosa, se un programma mi dovesse richiedere la libreria X.
a parte cercare con google c'e' qualche modo per sapere in quale pacchetto si trova tale libreria?

grazie.
bonzotto
Linux 1.0
Linux 1.0
 
Messaggi: 2
Iscritto il: mer lug 02, 2014 17:39

Re: la gestione dei pacchetti HELP

Messaggioda ponce » gio lug 03, 2014 8:09

se hai fatto un installazione full e un programma ti richiede la libreria X vuol dire che hai scaricato un programma precompilato da qualche repository, che dovrebbe contenere anche un pacchetto con la libreria X e che questa dovrebbe essere rintracciabile da un file di indice dei pacchetti che dovrebbe essere presente nel repository (in genere viene usato il file MANIFEST.bz2, leggibile, ad esempio, col comando bzless).
se il pacchetto fa parte di Slackware o lo hai installato con slackpkg/slackpkg+ dovrebbe essere sufficiente l'opzione file-search di slackpkg
Codice: Seleziona tutto
# slackpkg file-search libaudcore
Looking for libaudcore in package list. Please wait... DONE

The list below shows the packages that contains "libaudcore" file.

[ installed ] - audacious-3.3.4-x86_64-1

You can search specific packages using "slackpkg search package".

occhio che le dipendenze non sono solo librerie mancanti.
Avatar utente
ponce
Linux 3.x
Linux 3.x
 
Messaggi: 1459
Iscritto il: mer mar 05, 2008 16:45
Località: limbo
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 3.16-rc4
Desktop: lxde


Torna a Slackware

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti